Bug 997287 - [RFE] distribute kernel with PREEMPT_RT patch
[RFE] distribute kernel with PREEMPT_RT patch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 02:49 EDT by Jiri Kastner
Modified: 2016-06-15 10:50 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-15 10:50:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-08-15 02:49:26 EDT
Description of problem:
as preempt_rt patch enhanced kernels landed stable version of debian, i would like to see same in fedora
Comment 1 Josh Boyer 2013-08-15 10:19:59 EDT
Sorry, we are not in a position to provide or support additional kernels.  This was tried with kernel-xen a while ago, and it wasn't a great success by any means.  The Fedora kernel team has 3 people total, and we have a massive bug count as it is already.

If you'd like to provide such a kernel to Fedora users, then I would suggest looking at the coprs tool to do so.  http://copr-fe.cloud.fedoraproject.org/
Comment 2 Jiri Kastner 2016-06-13 10:20:31 EDT
time for re-evaluation?
Comment 3 Laura Abbott 2016-06-13 11:04:33 EDT
Is there a particular reason you think this needs re-evaluation?
Comment 4 Jiri Kastner 2016-06-15 10:23:46 EDT
(In reply to Laura Abbott from comment #3)
> Is there a particular reason you think this needs re-evaluation?

IoT, number of supported arm boards by fedora kernel is growing, embedded devices are great candidates for running kernel-rt for their tasks. esp. when copr builds are only for x86 and ppc architectures.

for testing bugs - kernel owe a lot to preempt_rt patch and developers for fixing upstream bugs [1].

for low latency audio

[1] - https://www.linux.com/blog/intro-real-time-linux-embedded-developers
Comment 5 Josh Boyer 2016-06-15 10:50:20 EDT
(In reply to Jiri Kastner from comment #4)
> (In reply to Laura Abbott from comment #3)
> > Is there a particular reason you think this needs re-evaluation?
> 
> IoT, number of supported arm boards by fedora kernel is growing, embedded
> devices are great candidates for running kernel-rt for their tasks. esp.
> when copr builds are only for x86 and ppc architectures.
> 
> for testing bugs - kernel owe a lot to preempt_rt patch and developers for
> fixing upstream bugs [1].
> 
> for low latency audio
> 
> [1] - https://www.linux.com/blog/intro-real-time-linux-embedded-developers

I agree with some of the usecases here, but none of that changes the fact that we are not currently in a position to support additional kernels.  Add in that to get the full effect you need to carry the out-of-tree patches still and it's simply not something we can commit to doing.

Note You need to log in before you can comment on or make changes to this bug.